package DecolorImages;

use strict;
require File::Temp;
use File::Temp ();
use Image::Magick;

require Exporter;
our @ISA = qw(Exporter);
our @EXPORT_OK = qw(decolor_most_images);

# JPG, PNG, GIF
sub decolor_most_images {
  my $dataref = shift;
  my $type    = shift;
  my @data    = ();

  # create image from http data
  push (@data, $$dataref);
  my $image = Image::Magick->new( magick => $type );
  $image->BlobToImage($$dataref);

  # change image to grayscale
  $image->Quantize( colorspace => "Gray" );

  # create http data from image
  @data = $image->ImageToBlob();
  $$dataref = $data[0];
}
