package FilterHTML;

use base qw( HTTP::Proxy::BodyFilter );
use DecolorCSS qw(decolor3 decolor6);

sub filter {
   my ( $self, $dataref, $message, $protocol, $buffer ) = @_;

   # match HTML/CSS color definitions
   $$dataref =~ s/(#[0-9A-Fa-f]{6})([^0-9A-Fa-f]+)/decolor6($1).$2/ge;
   $$dataref =~ s/(#[0-9A-Fa-f]{3})([^0-9A-Fa-f]+)/decolor3($1).$2/ge;
}

1;
__END__
