package DecolorCSS;

use strict;
use URI::Escape;

require Exporter;
our @ISA = qw(Exporter);
our @EXPORT_OK = qw(decolor3 decolor6);

# convert #RRGGBB to #GGGGGG
sub decolor6 {
  my $color = shift;
  my $r = substr($color,1,2);
  my $g = substr($color,3,2);
  my $b = substr($color,5,2);
  my $gray = .30 * hex2dec($r) + .59 * hex2dec($g) + .11 * hex2dec($b);
  if ($gray < 16) {
     $gray = "0".substr(dec2hex($gray), 0, 1);
  } else {
     $gray = substr(dec2hex($gray), 0, 2);
  }
#  print "--->".$gray."...\n";
#  print  "$color -> #$gray$gray$gray";
  return "#$gray$gray$gray";
}

# convert #RGB to #GGG
sub decolor3 {
  my $color = shift;
  my $r = substr($color,1,1);
  my $g = substr($color,2,1);
  my $b = substr($color,3,1);
  my $gray = substr(dec2hex(.30 * hex2dec($r) + .59 * hex2dec($g) + .11 * hex2dec($b)), 0, 1);
#  print "--->".$gray."...\n";
#  print  "#$gray$gray$gray";
  return "#$gray$gray$gray";
}

sub dec2hex($) {
    my( $dec ) = shift;
    return sprintf("%lx ", $dec );
}

sub hex2dec($) {
    my( $hex ) = shift;
    return hex($hex);
}




1;
__END__
